Bug 1495851 - Snapshot field is not clickable for orphaned VMs
Summary: Snapshot field is not clickable for orphaned VMs
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Dan Clarizio
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:vm
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-26 12:32 UTC by Jan Zmeskal
Modified: 2017-12-06 15:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-03 22:09:20 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 5 Greg McCullough 2017-09-27 17:15:17 UTC
In the code there are two similar VM properties: archived and orphaned.
They are defined in the code here: https://github.com/ManageIQ/manageiq/blob/master/app/models/vm_or_template.rb#L1278-L1289

archived (both Provider ID and storage ID are nil)
ems_id.nil? && storage_id.nil?

orphaned (Provider ID is nil but the storages ID is not)
ems_id.nil? && !storage_id.nil?


Loic - Yes, from everything I know the provider must be known to be able to manage snapshots for a VM.  However, you may want to discuss with the Provider team at some point.

Comment 6 Sudhir Mallamprabhakara 2017-09-28 17:12:41 UTC
Loic, Are we good on the bug??Can this be closed??

- Sudhir

Comment 7 Loic Avenel 2017-10-24 07:15:14 UTC
(In reply to Sudhir Mallamprabhakara from comment #6)
> Loic, Are we good on the bug??Can this be closed??
> 
> - Sudhir

Yes, we can close it.

Comment 8 Harpreet Kataria 2017-11-03 22:09:20 UTC
Closing as per comments above.


Note You need to log in before you can comment on or make changes to this bug.